/**
 * Canadian Armed Forces College Opportunities Directory (CAFCOD)
 * Version 2.1
 *
 * @version $Revision$
 * @author $Author$
 * @date $Date$
 */

.text-muted {
    margin-bottom: 3px !important;
}

.responsive {
    height: 100%;
    width: 100%;
}

/*change cursor to pointer when hovering over table rows*/
.select-table tr:hover {
    cursor: pointer;
}
/*selected rows are styled with lightblue background*/
.select-table tbody tr.row_selected {
    background-color: lightskyblue !important;
}

/*
 * WET Fixes
 */
/* The styles below fix problems with the WET grid system. */

@media screen and (min-width: 768px) and (min-device-width: 768px) {
    .grid-12 .span-12 .offset-6 {
        margin-left: 470px;
    }
}

@media screen and (min-width:1200px) and (min-device-width:1024px) {
    .grid-12 .span-12 .offset-6 {
        margin-left: 590px;
    }
}

/*
 * WET Re-styling
 */
/* The styles below fix problems with WET forms. By default, textarea/select and input
   have different box-sizing modes. */

p.form-help-block {
    font-size: 75%;
    color: #666;
    margin: 0 2px 0 2px;
    padding: 0 !important;
}

.background-light {
    background-color: #f9f9f9 !important;
    outline: 1px solid #d4d4d4 !important;
}

/*WET4 Summary fix - overrides theme css - removes white background/underline on hover/focus*/
details summary:focus, details summary:hover{
    background-color: #2572b4;
    text-decoration: none;
    color: #FFFFFF;
}

.bg-primary a:link, .bg-primary a:visited, .bg-primary a.ui-link:link, .bg-primary a.ui-link:visited{
    color: #FFFFFF;
}

summary.background-light, summary.background-light:focus, summary.background-light:hover{
    color: #295376;
    border: none;
    border-radius: 0;
}

/*
 * CAFCOD Custom Styles
 */

.cafcod-form-error-form {
    outline: 1px solid #FF0000 !important;
    background-color: #fff9f9 !important;
}

iframe {
    height: 200px;
    border: none;
}

.newline-wrap {
    word-wrap: break-word;
    white-space: pre-wrap;
}

#cafcod-form-wait-message {
    position: fixed;
    background-color: #000;
    opacity: 0.97;
    width: 32px;
    height: 32px;
    z-index: 101;
    border: 5px solid #000;
    border-radius: 5px;
    top: 48%;
    left: 48%;
    top: calc(50% - 25px);
    left: calc(50% - 25px);
    -webkit-box-shadow: 0px 0px 100px 20px rgba(50, 50, 50, 0.75);
    -moz-box-shadow: 0px 0px 100px 20px rgba(50, 50, 50, 0.75);
    box-shadow: 0px 0px 100px 20px rgba(50, 50, 50, 0.75);
    display: none;
}

#cafcod-form-wait-message img {
    margin: 0;
}

.cafcod-manage-table-alert {
    border: 2px solid #F2D40D;
    border-radius: 4px;
}

.cafcod-manage-table header, .cafcod-manage-status-legend h4 span {
    /*font-weight: bold;*/
    /*filter: progid:DXImageTransform.Microsoft.Glow(color='#EEEEEE', strength=6);*/
    /*text-shadow: 1px 0 1px #EEE, -1px 0 1px #EEE, 0 1px 1px #EEE, 0 -1px 1px #EEE;*/
    /*color: #000 !important;*/
    padding: 6px 6px 6px 12px !important;
}

/* MNET Phase 2 Additions */
.no-border {
    border: none !important;
}

.noPad {
    padding: 0 !important;
    margin: 0 !important;
}
.pad {
    padding: 10px;
}
.pd-lft-0 { padding-left: 0; }
.pd-rght-0 { padding-right: 0; }
.pd-tp-0 { padding-top: 0; }
.pd-bttm-0 { padding-bottom: 0; }

.break-all { word-break: break-all; }

.well-blank {
    background-color: white;
    border: 1px solid darkslategray;
    border-radius: 5px;
}

.hrSpacer {
    padding: 0;
    margin: 0;
    height: 7px;
    visibility: hidden;
}

datalist {
    overflow-y:auto;
}

/* notify() modal */
.msg {
    display: none;
    position: fixed;
    top: 0;
    left: 0;
    right: 0;
    width: 300px;
    text-align: center;
    box-shadow: 8px 8px 8px gray;
    margin-top: 4%;
    margin-left: auto;
    margin-right: auto;
    z-index: 10;
}

.lift {
    vertical-align: 3px;
}

/*padding is often almost as large as elements themselves, so we use these classes to help elements fit - not sure why missing from bootstrap (i'm terribad?)*/
.pad-rght-0  { padding-right: 0px !important; }
.pad-rght-sm { padding-right: 4px !important; }
.pad-lft-0   { padding-left:  0px !important; }
.pad-lft-sm  { padding-left:  4px !important; }
.pad-lft-md  { padding-left:  8px !important; }
.pad-tp-0    { padding-top:  0px !important; }
.pad-tp-sm   { padding-top:  4px !important; }
.pad-bttm-0  { padding-bottom:  0px !important; }
.pad-bttm-sm { padding-bottom:  4px !important; }
.pad-none {
    padding:  0 0 0 0 !important;;
}

tbody .title:hover {
    cursor: pointer;
}

.credit_table_head {
    border-bottom: 2px solid darkgrey !important;
    margin-bottom: 8px;
    padding: 5px;
}
#credit_table {
    /*height: 420px !important;*/
}

.child-footer {
    font-weight: bold;
}

/*the .offer styles apply to the table of offers shown the the child rows of credit results*/
.offer-table {
    margin-bottom: 12px;
}
.offer-table td {
    border: 1px solid lightgrey;
    padding-top: 2px !important;
    padding-bottom: 2px !important;
}
.offer-table tbody {
    border: 2px solid lightgrey;
}
.offer-table tbody tr:nth-child(odd){
    background-color: whitesmoke;
}
.offer-table tbody tr:nth-child(even){
    background-color: lightgrey;
}

/*these styles apply to the parent rows of credit results*/
.parent td {
    padding-top: 4px;
    padding-bottom: 4px;
    border-top: 8px solid white;
}

table.dataTable thead .sorting:after, table.dataTable thead .sorting_asc:after, table.dataTable thead .sorting_desc:after, table.dataTable thead .sorting_asc_disabled:after, table.dataTable thead .sorting_desc_disabled:after {
    bottom: 4px !important;
}

.dataTables_wrapper .dataTables_processing {
    z-index: 9999;
    top: 0px;
    transform: translate(-0%, -24px);
    background:none;
}

.glyphicon-remove:hover {
    cursor: pointer;
    color: darkred;
}

/*these styles apply to inputs in override forms*/
.input-td {
    box-sizing: border-box;
    padding: 0 !important;
}
.input-cell {
    height: 40px !important;
    padding-left: 12px;
    border-color: transparent;
}
.input-cell:hover {
    background-color: #D7FAFF !important;
}
.input-area {
    padding-top: 8px;
    padding-left: 12px;
    border-color: transparent;
}
.input-area:hover {
    background-color: #D7FAFF !important;
}

.btn-fake-disable
{
    cursor: not-allowed;
    pointer-events: none;

    /*Button disabled - CSS color class*/
    color: #c0c0c0;
    background-color: #ffffff;

    border: 1px solid darkgrey;
}

#wb-sttl {
    font-size: 1.3em !important;
}
#wb-sttl a {
    height: 2.8em !important;
    line-height: 0.4 !important;
}

.subtitle {
    margin-top: 0;
    font-size: 13pt;
}

#introPara {
    border-left: 6px solid #5bc0de;
    padding-bottom: 3px;
    position: relative;
    top: 6px;
}

.inline {
    display: inline !important;
}

.sorting-cnt {
    display: none;
}

.carousel-s2 {
    z-index: 0 !important;
}

a.btn:active {
    transform: translateY(2px);
}
.hide-error {
    display: none;
}

.error {
    display: block;
}

#wb-sm .nvbar ul.menu>li.pull-right {
    border-right: none;
    border-left: 1px solid #999;
}